# We have a conf and classes directory, add to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILE_COLLECTIONS += "meta-smarter"
BBFILE_PATTERN_meta-smarter = "^${LAYERDIR}/"
BBFILE_PRIORITY_meta-smarter = "6"

LAYERDEPENDS_meta-smarter = "core meta-k3s"
LAYERSERIES_COMPAT_meta-smarter = "warrior zeus dunfell"
LAYERVERSION_meta-smarter = "2"

DISTRO_FEATURES_append = " virtualization"

OE_TERMINAL = "screen"
DISTRO_FEATURES_BACKFILL_CONSIDERED += "pulseaudio"

PREFERRED_PROVIDER_jpeg = "libjpeg-turbo"
PREFERRED_PROVIDER_jpeg-native = "libjpeg-turbo-native"

PREFERRED_PROVIDER_udev = "eudev"
WKS_FILE = "sdimage-smarter.wks"

KERNEL_ENABLE_CGROUPS = "1"

